Subject: Re: [PATCH v2 14/14] git-cvsexportcommit: port to SHA-256

From: Eric Wong <[email-masked]>
Date: Tue, 4 Aug 2020 00:13:26 +0000

"brian m. carlson" <[email-masked]> wrote:
> On 2020-08-03 at 18:37:27, Andreas Schwab wrote:
> > On Jun 22 2020, brian m. carlson wrote:
> > 
> > > diff --git a/git-cvsexportcommit.perl b/git-cvsexportcommit.perl
> > > index fc00d5946a..6483d792d3 100755
> > > --- a/git-cvsexportcommit.perl
> > > +++ b/git-cvsexportcommit.perl
> > > @@ -22,6 +22,10 @@
> > >  my $repo = Git->repository();
> > >  $opt_w = $repo->config('cvsexportcommit.cvsdir') unless defined $opt_w;
> > >  
> > > +my $tmpdir = File::Temp->newdir;
> > 
> > File::Temp in perl 5.10 doesn't have the newdir method.
> 
> That method was added in File::Temp 0.19, which was added in 2007.  Does

5.10.0 doesn't have ->newdir, but 5.10.1 does.  I figure nobody
used 5.10.0 anymore since 5.10.1 exists and (IIRC) fixed many
things wrong in 5.10.0.

>   my $tmpdir = File::Temp::tempdir(CLEANUP => 1);
> 
> do the right thing on your Perl 5.10?  I no longer use CentOS 6 at work
> and it won't run in Docker on modern Debian, so I can't test.  If so,
> I'll send a patch.

I haven't touched CentOS 6 in several years, either.  I've been
testing public-inbox against 5.10.1 built using patches from
Devel::PatchPerl (libdevel-patchperl-perl in Debian)

> For the record, I plan to propose that we drop support for Perl versions
> earlier than 5.14 on December 2, since CentOS 6 will be dead at that
> point.  I think a ten-year lifespan for an OS is quite generous and
> we're still considering Perl 5.8.8, which nobody is publicly supporting
> anymore.

That's probably fine.  I haven't looked at 5.12 and 5.14 changes
enough to comment, but just moving rom 5.8 to 5.10.1 last year
made my life considerably better (e.g. `//', `//=')

In any case, it's probably a good idea to put use "v5.$SOMETHING"
with Perl 7 on the way (and Perl 8 will probably break v5 code :<)